Skip to main content
GET
/
v1
/
blockchains
Get Supported Blockchains
curl --request GET \
  --url https://api.openxswitch.com/v1/blockchains \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "slug": "ethereum-sepolia",
      "name": "Ethereum",
      "symbol": "ETH",
      "decimals": 18,
      "onchain": {
        "protocol": "EVM",
        "chainId": 1
      },
      "nativeCurrency": {
        "name": "Ether",
        "symbol": "ETH",
        "decimals": 18
      },
      "isTestnet": false,
      "standards": [
        "ERC20"
      ],
      "media": {
        "url": "https://cdn.openxswitch.com/public/logos/svg/eth.svg",
        "type": "image/svg+xml"
      },
      "blockExplorer": "https://etherscan.io"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

symbol
string

Filter by blockchain network slug or symbol. The blockchain network. Can be either the blockchain name or slug.

Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.

Example:

"ethereum"

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required